Drivers libres ATI Radeon y más...

19 réponses [Dernière contribution]
aitux
Hors ligne
A rejoint: 02/11/2009

Hola!

Primero de todo, felicitaciones por esta gran distribución. He probado muchas y ninguna me ha parecido más elegante que esta. De hecho hasta hace poco utilizaba Ubuntu, pero decidí unirme a la causa de la FSF, probé gNewSense, pero Trisquel me convenció más ;)

Bueno, ya conozco toda la historia de los drivers de ATI, que no son totalmente libres i tal i que se estan desarrollando unos que si lo son. El caso es, ¿alguien sabe cuanto van tardar en salir? ¡Quiero mis efectos de escritorio ya! XD Cada dia estoy cayendo más en la temptación de utilizar el fglx...

Y en cuanto al gnash, ¿alguien sabe como estan llendo las cosas para el soporte de YouTube?

También queria comentar que tengo un pequeño problema con Ndiswrapper, y es que al configurar la red con network manager sólo me deja activar el modo itinerante, si intento establecer una ip fija para una red wifi no me deja meter la clave WPA puesto que solo me da la opción de WEP(hexadecimal o ASCII), ponga la que ponga no se conecta, solo si lo hago en modo itinerante.

¡Saludos!

al-maryya
Hors ligne
A rejoint: 02/01/2009

Wicd es una alternativa -aunque no esté en los repositorios de Trisquel- a NetworkManager. En Ubuntu, este último programa me daba problemas y lo sustituí por Wicd. No sé si será totalmente compatible y asumible por Trisquel.

Un saludo.

al-maryya

aitux
Hors ligne
A rejoint: 02/11/2009

Muchas gracias por vuestras respuestas, chekearé el wicd haber que tal, en cuanto al swfdec, ya lo he probado, y la verdad, me va terriblemente mal.

al-maryya
Hors ligne
A rejoint: 02/01/2009

Buenas...:

Disculpas por haberte hablado de Wicd sin haber hecho yo las pruebas correspondientes.

Al introducir unas líneas en el sources.list para que acepte los repositorios que te llevarán al programa, aceptas que -cuando instales Wicd- te va a eliminar paquetes de Trisquel. Así que será mejor que no lo instales.

Un saludo.

al-maryya

omarbotta
Hors ligne
A rejoint: 12/14/2008

El último Gnash soporta Youtube, pero no esta en los repositorios de
Trisquel, y así estuviera, lo he visto funcionando y es una aplicación
que consume muchísima memoria.

Existe otro reproductor de Flash libre, que funciona mucho mejor que
Gnash, y que esta en los repo de Trisquel, que se llama swfdec.

Debes instalar el paquete swfdec-mozilla, para tenerlo disponible, y una
vez que lo tengas instalado e ingreses en alguna página que tenga flash,
te apareceran con un símbolo de play, el cual deberas pulsar para que lo
reproduzca. Con el botón derecho del mouse, sobre cualquier flash,
puedes acceder a la configuración de swfdec, y puedes elegir si deseas
siempre pulsar play, si deseas que recuerde tu última elección o si
deseas que se reproduzca automáticamente.

Saludos

El mié, 11-02-2009 a las 17:00 +0100, name at domain escribió:
> Hola!
>
> Primero de todo, felicitaciones por esta gran distribución. He probado muchas y ninguna me ha parecido más elegante que esta. De hecho hasta hace poco utilizaba Ubuntu, pero decidí unirme a la causa de la FSF, probé gNewSense, pero Trisquel me convenció más ;)
>
> Bueno, ya conozco toda la historia de los drivers de ATI, que no son totalmente libres i tal i que se estan desarrollando unos que si lo son. El caso es, ¿alguien sabe cuanto van tardar en salir? ¡Quiero mis efectos de escritorio ya! XD Cada dia estoy cayendo más en la temptación de utilizar el fglx...
>
> Y en cuanto al gnash, ¿alguien sabe como estan llendo las cosas para el soporte de YouTube?
>
> También queria comentar que tengo un pequeño problema con Ndiswrapper, y es que al configurar la red con network manager sólo me deja activar el modo itinerante, si intento establecer una ip fija para una red wifi no me deja meter la clave WPA puesto que solo me da la opción de WEP(hexadecimal o ASCII), ponga la que ponga no se conecta, solo si lo hago en modo itinerante.
>
> ¡Saludos!
> _______________________________________________
> Trisquel-usuarios mailing list
> name at domain
> http://trisquel.uvigo.es/cgi-bin/mailman/listinfo/trisquel-usuarios

_______________________________________________
Trisquel-usuarios mailing list
name at domain
http://trisquel.uvigo.es/cgi-bin/mailman/listinfo/trisquel-usuarios

zenbaki
Hors ligne
A rejoint: 02/05/2009

Hola Omar.

Tengo instalado Mozilla y swfdec pero no me funciona flash como vos decís, o sea, no puedo acceder a la configuración del swfdec.

Leí por ahí que convenía desinstalar los demás programas para swf (por ejemplo el Gnash), pero igualmente no funciona.

A ver si podés orientarme.

aitux
Hors ligne
A rejoint: 02/11/2009

Lo mejor será que te instales la última versión de gnash, la 0.8.4, yo la tengo y estoy muy contento con ella, tiene casi soporte completo para youtube y no sufre ralentizaciones ni nada por el estilo, en cuanto al consumo de memoria yo no he notado nada.

No se encuentra en los repositorios, así que deberás descargar las fuentes y instalar gnash "a mano".

Aquí te dejo el manual que utilicé yo para hacerlo: http://www.laconsolablog.com/2009/02/01/gnash-el-flashplugin-para-gnulinux/

Recuerda desinstalar todos los codec flash que tengas, swfdec, gnash...

Sigue todo el procedimiento tal y como se explica, solo que en la parte del ./configure cambia lo que dice el manual por esto:

./configure --with-plugindir=/usr/lib/mozilla-firefox/plugins --enable-gui=gtk

La parte de "Nivel probablemente requerido" puedes saltártela sin ningún problema.

Suerte ;)

zenbaki
Hors ligne
A rejoint: 02/05/2009

¡¡ Muchas gracias altux !!

Mi idea es no instalar programas que no estén en los repositorios de trisquel, pero al menos para foguearme un poco en esto, ya que vengo de Windows :)) intentaré con Gnash. De última puedo desinstalarlo fácilmente, según dice el autor del manual.

Tendré en cuenta tus observaciones, y sobre esto te consulto: al optar por "./configure --with-plugindir=/usr/lib/mozilla-firefox/plugins --enable-gui=gtk" ¿ esto implica que sólo veré flash a través del navegador Mozilla Firefox ?.
Sólo por saberlo, ya que no representaría un problema para mis necesidades.

aitux
Hors ligne
A rejoint: 02/11/2009

No, ¡ni mucho menos! Eso implica que no se instalará un nuevo programa para ver flash, cosa que te traería muchos problemas para compilar. Solo se instalará el codec y el plugin, si quieres ver flash offline, puedes usar totem, que utilizará el codec de gnash para visualizar los videos, de forma que no necesitas instalar programas extra ;).

zenbaki
Hors ligne
A rejoint: 02/05/2009

Todo entendido altux, haré la prueba.
Gracias nuevamente.
Un saludo.

aitux
Hors ligne
A rejoint: 02/11/2009

De nada hombre ;) Todo sea por la comunidad libre.

Yo hace ya sobre unos 6 meses que entré en el mundo de GNU, pero hasta hace un mes tenia una partición con Hosefroch (S.O. de Guillermo Puertas) XP y otra con Ubuntu. Ahora me he cambiado a Trisquel para seguir la filosofia de la FSF al enterarme de que Ubuntu no era libre y he eliminado el Hosefroch XP, ahora tengo Trisquel y Ubuntu (por si las moscas).

Si no fuese por las clases de informática del instituto, llevaría 1 mes sin tocar el Hosefroch!

zenbaki
Hors ligne
A rejoint: 02/05/2009

jaja Yo pensaba dejar un disco con el S.O. Hasefroch XP SP2 del Guille Puertas por si las moscas, pero día a día voy descubriendo más cosas con trisquelgnulinux, así que el otro disco se está convirtiendo en un gigantesco pendrive.
Pena que no pueda colaborar con conocimientos en el desarrollo de este proyecto, pero bueno, al menos contribuiré utilizandolo y difundiendolo.

He recibido dos Cds de Ubuntu 8.10 por correo postal y también he descargado gnewsense, pero no llegué a probarlos, y por lo que investigué me decidí a instalar directamente trisquel. Claro que el hecho de estar generado en Galego pesa mucho para los que nos entendemos mejor en Castellano (no Español).

aitux
Hors ligne
A rejoint: 02/11/2009

Sí, a mi también me gustaría colaborar activamente en los proyectos de alta importancia de GNU. Estoy aprendiendo un poco de C++, haber si un dia lo consigo, mas o menos,python y java ya los domino.

zenbaki
Hors ligne
A rejoint: 02/05/2009

Me quedé pensando en lo que comentó Omar sobre Swfdec, y si bien tenía instalados el navegador Mozilla Firefox y el Reproductor de Flash Swfdec, utilizando el Gestor de paquetes Synaptics descubrí que había más paquetes relacionados con Swfdec que no los tenía instalados.

Tenía instalados los paquetes:

libswfdec-0.6-90 (versión 0.6.4-2)
swfdec-gnome (versión 2.22.2-1)

Así que agregué:

libswfdec-0.8-0 (versión 0.8.2-1)
swfdec-mozilla (versión 0.8.2-1ubuntu1)

Con esto ya comenzó a funcionar Flash tal como comentó Omar.

Después (muy corajudo yo jeje) agregué:

libswfdec-0.8-0-dbg (versión 0.8.2-1)

Pero no me animé a agregar (porque me decía que se modificarían varios paquetes):

libswfdec-0.8-dev (versión 0.8.2-1)

No veo correctamente algunos Flash (quedan como un foto) pero entre todos le encontraremos la vuelta. Tal vez instalando la última versión estable del Swfdec (0.8.4) esto se solucione. Ya la descargué, pero hasta ahí llegué :((
Tampoco llegué a instalar la versión 0.8.4 del Gnash como sugirió altux.

omarbotta
Hors ligne
A rejoint: 12/14/2008

Los paquetes que terminan con "-dev" son necesarios únicamente cuando se
va a compilar alguna otra cosa,no son para usarlos como programas en si
mismo, así que no te preocupes por "libswfdec-0.8-dev".

En cuanto a lo de los flash que algunos no funcionan, es verdad ya que
es muy difícil lograr la misma funcionalidad del plugin privativo, ya
que si bien el plugin libre avanza, Adobe va realizando cambios en
Flash, que impiden lograr tener total compatibilidad con el plugin de
ellos. Lo que veo es que en swfdec se han enfocado en que funcione con
Youtube.

El vie, 13-02-2009 a las 18:14 +0100, name at domain escribió:
> Me quedé pensando en lo que comentó Omar sobre Swfdec, y si bien tenía instalados el navegador Mozilla Firefox y el Reproductor de Flash Swfdec, utilizando el Gestor de paquetes Synaptics descubrí que había más paquetes relacionados con Swfdec que no los tenía instalados.
>
> Tenía instalados los paquetes:
>
> libswfdec-0.6-90 (versión 0.6.4-2)
> swfdec-gnome (versión 2.22.2-1)
>
> Así que agregué:
>
> libswfdec-0.8-0 (versión 0.8.2-1)
> swfdec-mozilla (versión 0.8.2-1ubuntu1)
>
> Con esto ya comenzó a funcionar Flash tal como comentó Omar.
>
> Después (muy corajudo yo jeje) agregué:
>
> libswfdec-0.8-0-dbg (versión 0.8.2-1)
>
> Pero no me animé a agregar (porque me decía que se modificarían varios paquetes):
>
> libswfdec-0.8-dev (versión 0.8.2-1)
>
> No veo correctamente algunos Flash (quedan como un foto) pero entre todos le encontraremos la vuelta. Tal vez instalando la última versión estable del Swfdec (0.8.4) esto se solucione. Ya la descargué, pero hasta ahí llegué :((
> Tampoco llegué a instalar la versión 0.8.4 del Gnash como sugirió altux.
> _______________________________________________
> Trisquel-usuarios mailing list
> name at domain
> http://trisquel.uvigo.es/cgi-bin/mailman/listinfo/trisquel-usuarios

_______________________________________________
Trisquel-usuarios mailing list
name at domain
http://trisquel.uvigo.es/cgi-bin/mailman/listinfo/trisquel-usuarios

aitux
Hors ligne
A rejoint: 02/11/2009

Bien hecho por tu parte, pero los paquetes dev y dbg no son necessarios a no ser que seas desarrollador de software segun tengo entendido.

Ya me contaras que tal el swfdec ;)

zenbaki
Hors ligne
A rejoint: 02/05/2009

Altux, intenté instalar el Gnash 0.8.4 pero a la hora de compilar me da error:

~]$ make

make: *** No se especificó ningún objetivo y no se encontró ningún makefile. Alto.

Para ver los errores ejecuté:

~]$ ./configure |grep no

checking whether we are cross compiling... no
checking for gcc option to accept ISO C89... none needed
checking whether we are using the GNU C++ compiler... no
checking whether g++ accepts -g... no
checking for library file name specifics... no
checking for gawk... no
checking dependency style of g++... none
checking whether to enable maintainer-specific portions of Makefiles... no
checking for mkinstalldirs... no
checking for a sed that does not truncate output... /bin/sed
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
configure: error: C++ preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details.

Estimo que debe haber paquetes que son necesarios y no los tengo instalados.
¿ Cómo puedo averiguar de cuáles se trata ?.

Probé de hacer la instalación de ambas formas, como vos dijiste y como dice el manual.

zenbaki
Hors ligne
A rejoint: 02/05/2009

Hola.
¡¡ Conseguí instalar el Gnash 0.8.4 !! :))
Sigo sin poder ver algunos Flash, pero en tales casos ni siquiera me muestra una foto, como lo hacía la versión del Swfdec que tenía instalada.
En otros casos me cambia mucho los colores y empeora la definición.
Adjunto un resúmen de lo que hice; tal vez haya hecho algo mal.
Ah, mientras compila da tiempo para tomarse unos cuantos cafecitos :))))
Algo extraño: Ahora al encender la PC ví que se había instalado nuevamente el Swfdec, así que tuve que desinstalarlo otra vez. Cosa e mandinga :(
Menuda ensalada debo tener aquí a estas alturas ...
Saludos.

Fichier attachéTaille
Gnash 0.8.4.odt 19.2 Ko
LUIS CELIS
Hors ligne
A rejoint: 07/31/2010

HOLA FAMILA TRISQUEL, EN HORA BUENA, ESTA NUEVA VERSION ESTA FENOMENAL, SU PRESENTACION NADA TIENE QUE ENVIDIAR A WINDOWS, LO SUPERAMOS, GRACIAS Y FELICITACIONES, LO ESTOY PROMOCIONANDO AMPLIAMENTE EN MI LOCALIDAD, (AROA, ESTADO YARACUY, VENEZUELA)

emuletas
Hors ligne
A rejoint: 09/26/2009

El 24 de octubre de 2010 20:47, <name at domain> escribió:

> HOLA FAMILA TRISQUEL, EN HORA BUENA, ESTA NUEVA VERSION ESTA FENOMENAL, SU
> PRESENTACION NADA TIENE QUE ENVIDIAR A WINDOWS, LO SUPERAMOS, GRACIAS Y
> FELICITACIONES, LO ESTOY PROMOCIONANDO AMPLIAMENTE EN MI LOCALIDAD, (AROA,
> ESTADO YARACUY, VENEZUELA)
>

Gracias, pero intenta evitar las mayusculas :D

Un saludo"!